Steam for Linux > Limited Beta > Подробности за темата
Sentient Corpse Machine 17 ноември 2012 в 12:41след.
Issue Report: And Yet It Moves fails to launch
When I go to play And Yet It Moves (redeemed from a Humble Bundle key), I get a dialog saying "preparing to launch" and then nothing happens. If I go to ~/Steam/SteamApps/common/And Yet It Moves and run ./AndYetItMovesSteam.sh, it simply prints Library Missing: libsteam_api.so, even though that file present in the same directory.

Operating System Version:
Ubuntu 12.04.1 LTS (64 bit)
Kernel Name: Linux
Kernel Version: 3.2.0-33-generic
X Server vendor: The X.Org Foundation
X Server release: 11103000

Any other info I can provide?
Показване на 1-8 от 8 коментара
< >
johndrinkwater [🐧︀ 🎮] 17 ноември 2012 в 2:16след. 
If you could close steam and run it again from a terminal and then try loading And Yet It Moves from inside steam, you should get useful feedback in the term. It’s likely a missing library on your system (if so, install!) otherwise please paste more here.
Sentient Corpse Machine 17 ноември 2012 в 4:12след. 
Ah, I needed libglu1-mesa:i386 and libjpeg62:i386. It would be nice for these errors to propagate up to the user without having to read console output. Better yet, each game should have a list of required packages (bonus points for automatically installing them) -- though I understand how difficult this is with different distros and packaging schemes.

It's not the best experience right now where you can install a game, but might not be able to play it and get no feedback as to why without doing some console jockeying.

That said, you fixed my issue -- thanks!
JulFX 18 ноември 2012 в 10:54сут. 
Only libjpeg62 is needed on ubuntu 12.04 32 bit and Catalyst 12.06 (Radeon HD4800).
#FEDE0D - [Linux Mint] 30 ноември 2012 в 1:06след. 
I had the same problem too. I moved the libsteam_api.so to the "lib" folder. Than I was missing the "libtiff4" library. So I moved the file back and install libtiff4. Now the game it's working.
lerchie 7 декември 2012 в 10:54сут. 
I am hitting something similar to this trying to run "As yet it moves" via steam on Fedora.

here is the output to the terminal:

../lib/AndYetItMoves: error while loading shared libraries: libtiff.so.4: cannot open shared object file: No such file or directory

I am on a 64bit install, and have all the libtiff packages installed for both 32 and 64 bit arches.
thatnerdyguy 8 декември 2012 в 3:43след. 
Similar problem on Kubuntu 12.10 x64. Relevant error message is:

Library Missing: libGLU.so.1

I have libglu installed, and the library is at /usr/lib/x86_64-linux-gnu/libGLU.so.1.

Turns out the game wants 32-bit libraries. Installing ia32-libs package solves the issue.
[BIO] Gary 9 декември 2012 в 9:55сут. 
Thanks for the info, thatnerdguy, I was having the same issues and installing the 32bit libs seemed to clear it up. It would be nice if they could stick that in a sticky somewhere as I expect there are quite a few 64bit users out there.
Really Slick 9 декември 2012 в 10:33сут. 
I had the same problem on Ubuntu 12.04 64-bit. Found the solution by reading this forum. I copied libsteam_api.so to the "lib" folder, which allowed me to start the game on the command line and see the script complain about missing libraries. Then I installed libjpeg62:i386. Then everything worked.
Показване на 1-8 от 8 коментара
< >
На страница: 15 30 50
Дата на публикуване: 17 ноември 2012 в 12:41след.
Публикации: 8